=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DCMAKE_BUILD_TYPE="RelWithDebInfo"

override_dh_auto_test:
	mkdir debian/test
	mkdir debian/test/.gnuradio
	- if [ $(DEB_BUILD_ARCH) != hurd-i386 ]; then HOME=$(CURDIR)/debian/test dh_auto_test -- CTEST_TEST_TIMEOUT=60 ; fi
	rm -rf debian/test

override_dh_install:
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/radar/*.pyc
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/radar/*.pyo
	dh_install
	rm -f debian/gr-radar-doc/usr/share/doc/gr-radar-doc/html/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js debian/gr-radar-doc/usr/share/doc/gr-radar-doc/html/jquery.js
