## gr-radar 0.0.0.20160615

=== debian/changelog ===
gr-radar (0.0.0.20160615-3) unstable; urgency=medium

  * conflict/replace libgnuradio-radar3.7.8  (Closes: #836260)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 01 Sep 2016 19:40:59 -0400

gr-radar (0.0.0.20160615-2) unstable; urgency=medium

  * change library name to match current gnuradio soname

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 28 Aug 2016 07:22:28 -0400

gr-radar (0.0.0.20160615-1) unstable; urgency=medium

  * Package da012c2
    set c++ standard to avoid gcc6 complications (Closes: #834292)
  * fix override_dh_install target (Closes: #829042)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 28 Aug 2016 06:27:12 -0400
