=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: cmake,
                debhelper (>= 9.0.0~),
 	       doxygen-latex,
-               gnuradio-dev (>=3.7.8),
+               gnuradio-dev (>>3.7.9.2),
                libboost-system-dev,
                liblog4cpp5-dev,
                libqt4-dev,
@@ -15,7 +15,7 @@
                qtchooser,
                swig
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://grradar.wordpress.com
 Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-radar.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-radar.git/
@@ -24,7 +24,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: gnuradio-dev,
-         libgnuradio-radar3.7.8 (=${binary:Version}),
+         libgnuradio-radar3.7.10 (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: GNU Radio Radar Toolbox
@@ -56,11 +56,13 @@
  .
  gr-radar-doc provides Doxygen generated documentation.
 
-Package: libgnuradio-radar3.7.8
+Package: libgnuradio-radar3.7.10
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: gr-radar
+Conflicts: libgnuradio-radar3.7.8
+Replaces: libgnuradio-radar3.7.8
 Description: GNU Radio Radar Toolbox - library
  The *gr-radar* project provides a toolbox of commonly used radar
  algorithms. An important part is the *UHD Echotimer*, which enables a
