=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,12 @@
 	- if [ $(DEB_BUILD_ARCH) != hurd-i386 ]; then HOME=$(CURDIR)/debian/test dh_auto_test -- CTEST_TEST_TIMEOUT=60 ; fi
 	rm -rf debian/test
 
-override_dh_install:
+override_dh_install-arch:
 	rm -f debian/tmp/usr/lib/python2.7/dist-packages/radar/*.pyc
 	rm -f debian/tmp/usr/lib/python2.7/dist-packages/radar/*.pyo
-	dh_install
+	dh_install --arch
+
+override_dh_install-indep:
+	dh_install --indep
 	rm -f debian/gr-radar-doc/usr/share/doc/gr-radar-doc/html/jquery.js
 	ln -s /usr/share/javascript/jquery/jquery.js debian/gr-radar-doc/usr/share/doc/gr-radar-doc/html/jquery.js
