## gr-radar 0.0.0.20161018

=== debian/changelog ===
gr-radar (0.0.0.20161018-3build1) bionic; urgency=medium

  * No-change rebuild against libuhd003.010.003

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 10 Feb 2018 01:20:23 +0000

gr-radar (0.0.0.20161018-3) unstable; urgency=medium

  * update conflict/replace libgnuradio-radar3.7.10  (Closes: #875833)
  * optional priority

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 23 Sep 2017 18:08:26 -0400

gr-radar (0.0.0.20161018-2) unstable; urgency=medium

  * install .pc file correctly (Closes: #875833)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 14 Sep 2017 19:07:20 -0400

gr-radar (0.0.0.20161018-1) unstable; urgency=medium

  * New upstream commits
  * build with gnuradio 3.7.11

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 04 Sep 2017 14:57:03 -0400
