=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: gr-radar
 Section: libdevel
-Priority: extra
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0~),
-	       doxygen-latex,
-               gnuradio-dev (>>3.7.9.2),
+               doxygen-latex,
+               gnuradio-dev (>= 3.7.11),
                libboost-system-dev,
                liblog4cpp5-dev,
                libqt4-dev,
@@ -15,7 +16,7 @@
                qtchooser,
                swig
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://grradar.wordpress.com
 Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-radar.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-radar.git/
@@ -24,9 +25,15 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: gnuradio-dev,
-         libgnuradio-radar3.7.10 (=${binary:Version}),
+         libgnuradio-radar3.7 (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: libgnuradio-radar3.7 (<< 0.0.0.20161018-2),
+        libgnuradio-radar3.7.10,
+        libgnuradio-radar3.7.8
+Replaces: libgnuradio-radar3.7 (<< 0.0.0.20161018-2),
+          libgnuradio-radar3.7.10,
+          libgnuradio-radar3.7.8
 Description: GNU Radio Radar Toolbox
  The *gr-radar* project provides a toolbox of commonly used radar
  algorithms. An important part is the *UHD Echotimer*, which enables a
@@ -56,13 +63,12 @@
  .
  gr-radar-doc provides Doxygen generated documentation.
 
-Package: libgnuradio-radar3.7.10
+Package: libgnuradio-radar3.7
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: gr-radar
-Conflicts: libgnuradio-radar3.7.8
-Replaces: libgnuradio-radar3.7.8
+Section: libs
 Description: GNU Radio Radar Toolbox - library
  The *gr-radar* project provides a toolbox of commonly used radar
  algorithms. An important part is the *UHD Echotimer*, which enables a
