=== debian/changelog ===
gr-radar (0.0.0.20180308-6build2) kinetic; urgency=medium

  * No-change rebuild against libgnuradio-runtime3.10.3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Jul 2022 17:54:42 +0000

gr-radar (0.0.0.20180308-6build1) kinetic; urgency=medium

  * No-change rebuild against libuhd4.2.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Jul 2022 23:27:30 +0000

gr-radar (0.0.0.20180308-6) unstable; urgency=medium

  * refactor to build with Python 3.10 (Closes: #1008864)
  * remove obsolete generated file in examples (Closes: #966034)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 03 Apr 2022 07:28:38 -0400

gr-radar (0.0.0.20180308-5) unstable; urgency=medium

  * refactor to build with gnuradio 3.10

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 03 Apr 2022 07:28:01 -0400

gr-radar (0.0.0.20180308-4) unstable; urgency=medium

  * Explicitly depend upon python3-dev and dh-python (Closes: #940071)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 19 Jan 2020 16:08:38 -0500

gr-radar (0.0.0.20180308-3) unstable; urgency=medium

  * Upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 10 Jan 2020 20:29:19 -0500

gr-radar (0.0.0.20180308-2) experimental; urgency=medium

  * Port to gnuradio 3.8 and Python3 by Nicolas Cuervo
  * Upload to experimental due to new libgnuradio-radar3.8 soversion

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 03 Dec 2019 21:58:34 -0500

gr-radar (0.0.0.20180308-1) unstable; urgency=medium

  * New upstream f727817
  * use Doxygen jquery
  * Move package VCS to Salsa
  * need python-matplotlib to test
  * skip problem test case (does not complete) (Closes: #906362)
  * update Qt usage (Closes: #874900)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 23 Aug 2018 00:21:08 -0400
