=== debian/control ===
--- 
+++ 
@@ -4,29 +4,38 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9.0.0~),
+               debhelper-compat (= 13),
+               dh-python,
                doxygen-latex,
-               gnuradio-dev (>= 3.7.11),
+               gir1.2-gtk-3.0,
+               gnuradio-dev (>= 3.9),
+               gobject-introspection,
                libboost-system-dev,
-               liblog4cpp5-dev,
-               libqt4-dev,
-               libqwt-dev,
+               liborc-0.4-dev,
+               libqwt-qt5-dev,
+               libspdlog-dev,
                libuhd-dev,
                pkg-config,
-               qtchooser,
-               swig
+               python3-dev,
+               python3-gi,
+               python3-matplotlib,
+               python3-numpy,
+               python3-tk,
+               qtbase5-dev,
+               qtchooser
 Build-Depends-Indep: doxygen
-Standards-Version: 4.1.0
+Standards-Version: 4.6.0
 Homepage: https://grradar.wordpress.com
-Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-radar.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-radar.git/
+Vcs-Git: https://salsa.debian.org/bottoms/pkg-gr-radar.git
+Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gr-radar
 
 Package: gr-radar
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: gnuradio-dev,
-         libgnuradio-radar3.7 (=${binary:Version}),
+         libgnuradio-radar1.0.0 (=${binary:Version}),
          ${misc:Depends},
+         ${python3:Depends},
          ${shlibs:Depends}
 Breaks: libgnuradio-radar3.7 (<< 0.0.0.20161018-2),
         libgnuradio-radar3.7.10,
@@ -49,8 +58,9 @@
 Package: gr-radar-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libjs-jquery, ${misc:Depends}
+Depends: libjs-jquery, ${misc:Depends}, ${python3:Depends}
 Description: GNU Radio Radar Toolbox - Documentation
  The *gr-radar* project provides a toolbox of commonly used radar
  algorithms. An important part is the *UHD Echotimer*, which enables a
@@ -63,7 +73,7 @@
  .
  gr-radar-doc provides Doxygen generated documentation.
 
-Package: libgnuradio-radar3.7
+Package: libgnuradio-radar1.0.0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
