=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@ --with python3 --with numpy3

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
        -DCMAKE_BUILD_TYPE="RelWithDebInfo" \
	-DPYTHON_EXECUTABLE:STRING="/usr/bin/python3"

override_dh_auto_test:
	mkdir debian/test
	mkdir debian/test/.gnuradio
	- if [ $(DEB_BUILD_ARCH) != hurd-i386 ]; then HOME=$(CURDIR)/debian/test dh_auto_test -- CTEST_TEST_TIMEOUT=60 ; fi
	rm -rf debian/test

override_dh_install-arch:
	install -d debian/tmp/usr/lib/python3
	mv debian/tmp/usr/lib/python3.*/site-packages debian/tmp/usr/lib/python3/dist-packages
	dh_install --arch
	rm -f debian/tmp/usr/lib/python3/dist-packages/radar/*.pyc
	rm -f debian/tmp/usr/lib/python3/dist-packages/radar/*.pyo
	rm -f debian/gr-radar/usr/share/gnuradio/examples/radar/usrp/top_block.py
	chmod -x debian/gr-radar/usr/share/gnuradio/examples/radar/setup/setup_core
